"""created coupon table

Revision ID: e1148d55c54f
Revises: 72d5932842cf
Create Date: 2021-12-06 17:19:13.647671

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'e1148d55c54f'
down_revision = '72d5932842cf'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('coupons',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('code', sa.String(length=10), nullable=True),
    sa.Column('expire_at', sa.DateTime(), nullable=True),
    sa.Column('limit', sa.Integer(), nullable=True),
    sa.Column('mode', sa.String(length=10), nullable=True),
    sa.Column('value', sa.Float(precision=10, asdecimal=2), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('coupons')
    # ### end Alembic commands ###
